package com.dsic.gj_erp.bean.jhgk.dto;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 双周需求计划(excel)导入对象
 */
@Getter
@Setter
public class XzDoubleWeekNeedDto {

    @ApiModelProperty(value = "船只")
    private String dcCh;

    @ApiModelProperty(value = "批量号")
    private String dcPl;//需要自行补0

    @ApiModelProperty(value = "分段号")
    private String dcFd;

    @ApiModelProperty(value = "小组场地")
    private String xzcd;

    @ApiModelProperty(value = "大板")
    private String dbXqrq;

    @ApiModelProperty(value = "数控件")
    private String skjXqrq;

    @ApiModelProperty(value = "型材")
    private String xcXqrq;

    @ApiModelProperty(value = "平铁")
    private String ptXqrq;

    @ApiModelProperty(value = "压弯")
    private String ywXqrq;//曲加工

    @ApiModelProperty(value = "光电件")
    private String gdjXqrq;

    @ApiModelProperty(value = "钢加回复")
    private String gjhf;

    @ApiModelProperty(value = "备注")
    private String bz;

    public String getCustomUniKey(){
        return StrUtil.format("{}_{}_{}",this.dcCh,this.dcPl,this.dcFd);
    }
}
