package com.dsic.gj_erp.listeners;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.dsic.gj_erp.bean.jhgk.dto.DzDoubleWeekNeedDto;
import com.dsic.gj_erp.bean.jhgk.dto.XzDoubleWeekNeedDto;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * 大组双周需求
 */
public class ExcelDzDMNListener extends AnalysisEventListener<DzDoubleWeekNeedDto> {

    @Getter
    List<DzDoubleWeekNeedDto> objectList = new ArrayList<>();

    @Override
    public void invoke(DzDoubleWeekNeedDto excelDemo, AnalysisContext analysisContext) {
        objectList.add(excelDemo);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

}
