package com.dsic.gj_erp.bean.jhgk.dto;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 双周需求计划(excel)导入对象
 */
@Getter
@Setter
public class DzDoubleWeekNeedDto {

    @ApiModelProperty(value = "船只")
    private String dcCh;

    @ApiModelProperty(value = "批量号")
    private String dcPl;//需要自行补0

    @ApiModelProperty(value = "分段号")
    private String dcFd;

    @ApiModelProperty(value = "大组场地")
    private String dzcd;

    @ApiModelProperty(value = "车间主管")
    private String cjzg;

    @ApiModelProperty(value = "大板需求")
    private String dbXqrq;

    @ApiModelProperty(value = "型材需求")
    private String xcXqrq;

    @ApiModelProperty(value = "散件需求")
    private String sjXqrq;

    @ApiModelProperty(value = "R150需求")
    private String r150Xqrq;

    @ApiModelProperty(value = "曲外板需求")
    private String qwbXqrq;

    @ApiModelProperty(value = "钢加回复")
    private String gjhf;

    @ApiModelProperty(value = "备注")
    private String bz;

    public String getCustomUniKey(){
        return StrUtil.format("{}_{}_{}",this.dcCh,this.dcPl,this.dcFd);
    }
}
