package com.dsic.gj_erp.listeners;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.dsic.gj_erp.bean.jhgk.dto.XzDoubleWeekNeedDto;
import com.dsic.gj_erp.bean.jhgk.excel.GdxqExcel;
import com.dsic.gj_erp.util.ObjConvertUtils;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 小组双周需求
 */
public class ExcelXzDMNListener extends AnalysisEventListener<XzDoubleWeekNeedDto> {

    @Getter
    List<XzDoubleWeekNeedDto> objectList = new ArrayList<>();

    @Override
    public void invoke(XzDoubleWeekNeedDto excelDemo, AnalysisContext analysisContext) {
        objectList.add(excelDemo);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

}
